summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorAndi Gutmans <andi@php.net>1999-07-15 18:33:41 +0000
committerAndi Gutmans <andi@php.net>1999-07-15 18:33:41 +0000
commit2a43afd2ced1908de514731eb0cd376d8c59e4c9 (patch)
tree0cb00cbd7d1b8568368d5ac02733a30b332e7a38 /scripts
parent5fc8562b5d18c9175ffc86ef42855ad266b4e98f (diff)
downloadphp-git-2a43afd2ced1908de514731eb0cd376d8c59e4c9.tar.gz
Sooner than you think, Sascha :)
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/apache/apconf-conv.sh24
-rwxr-xr-xscripts/apache/aphtaccess-conv.sh24
-rw-r--r--scripts/apache/conffix.awk23
-rw-r--r--scripts/apache/htaccessfix.awk23
4 files changed, 94 insertions, 0 deletions
diff --git a/scripts/apache/apconf-conv.sh b/scripts/apache/apconf-conv.sh
new file mode 100755
index 0000000000..6126bdc27d
--- /dev/null
+++ b/scripts/apache/apconf-conv.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+if [ "$1" = "" ]; then
+ echo "Usage: $0 /somewhere/httpd.conf"
+ exit 1
+fi
+
+if [ ! -w $1 ]; then
+ echo "You cannot write to $1"
+ exit 1
+fi
+
+TMPFILE=tmpfile.$$
+
+awk -f conffix.awk <$1 >$TMPFILE
+
+if [ "$?" != 0 ]; then
+ exit 1
+fi
+
+mv -f $1 $1.orig
+mv -f $TMPFILE $1
+exit 0
+
diff --git a/scripts/apache/aphtaccess-conv.sh b/scripts/apache/aphtaccess-conv.sh
new file mode 100755
index 0000000000..1af59d2843
--- /dev/null
+++ b/scripts/apache/aphtaccess-conv.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+if [ "$1" = "" ]; then
+ echo "Usage: $0 /somewhere/.htaccess"
+ exit 1
+fi
+
+if [ ! -w $1 ]; then
+ echo "You cannot write to $1"
+ exit 1
+fi
+
+TMPFILE=tmpfile.$$
+
+awk -f htaccessfix.awk <$1 >$TMPFILE
+
+if [ "$?" != 0 ]; then
+ exit 1
+fi
+
+mv -f $1 $1.orig
+mv -f $TMPFILE $1
+exit 0
+
diff --git a/scripts/apache/conffix.awk b/scripts/apache/conffix.awk
new file mode 100644
index 0000000000..c4aa28f015
--- /dev/null
+++ b/scripts/apache/conffix.awk
@@ -0,0 +1,23 @@
+# $Id$
+
+/php3_*/ {
+ phpcommand=substr($1,6)
+ phpvalue=tolower($2)
+ print "<IfModule mod_php3.c>"
+ print $1 $2
+ print "</IfModule>"
+ print "<IfModule mod_php4.c>"
+ if (phpvalue=="on") {
+ print "php_admin_flag " phpcommand " on"
+ } else if (phpvalue=="off") {
+ print "php_admin_flag " phpcommand " off"
+ } else {
+ print "php_admin_value " phpcommand " " substr($0,index($0,$1)+length($1)+1)
+ }
+ print "</IfModule>"
+}
+
+! /php3_*/ {
+ print $0
+}
+
diff --git a/scripts/apache/htaccessfix.awk b/scripts/apache/htaccessfix.awk
new file mode 100644
index 0000000000..a74e2bbfd8
--- /dev/null
+++ b/scripts/apache/htaccessfix.awk
@@ -0,0 +1,23 @@
+# $Id$
+
+/php3_*/ {
+ phpcommand=substr($1,6)
+ phpvalue=tolower($2)
+ print "<IfModule mod_php3.c>"
+ print $1 $2
+ print "</IfModule>"
+ print "<IfModule mod_php4.c>"
+ if (phpvalue=="on") {
+ print "php_flag " phpcommand " on"
+ } else if (phpvalue=="off") {
+ print "php_flag " phpcommand " off"
+ } else {
+ print "php_value " phpcommand " " substr($0,index($0,$1)+length($1)+1)
+ }
+ print "</IfModule>"
+}
+
+! /php3_*/ {
+ print $0
+}
+